public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Robin H. Johnson" <robbat2@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/ntpsec/
Date: Mon,  7 Oct 2019 21:47:18 +0000 (UTC)	[thread overview]
Message-ID: <1570483381.164d6d17a392367cd9d7b0705cd127163c1c53cf.robbat2@gentoo> (raw)

commit:     164d6d17a392367cd9d7b0705cd127163c1c53cf
Author:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Mon Oct  7 21:04:05 2019 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Mon Oct  7 21:23:01 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=164d6d17

net-misc/ntpsec: bump

Include build epoch to avoid 'Module/Binary version mismatch' error due
to multiple python builds.

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>

 net-misc/ntpsec/Manifest            |   1 +
 net-misc/ntpsec/ntpsec-1.1.7.ebuild | 161 ++++++++++++++++++++++++++++++++++++
 2 files changed, 162 insertions(+)

diff --git a/net-misc/ntpsec/Manifest b/net-misc/ntpsec/Manifest
index 4b1db6e9657..31d78e746ff 100644
--- a/net-misc/ntpsec/Manifest
+++ b/net-misc/ntpsec/Manifest
@@ -1,2 +1,3 @@
 DIST ntpsec-1.1.4.tar.gz 2536268 BLAKE2B 320e7afee1b776e0327f8bf34bc0b8cd3a2c67fd9fd16564323ce825cb9e36d7d5fb48a38b734600286cbd039f41f296d9e488e25d2680f08412aa983101987b SHA512 1b74e7cb87e189137e1b66b52ce89498e0061a10abf017c36bfdecb4aefe9c3fb6e8fd7819a9f822fb946dca6ae20ee724b2aed35e03d73f8e3015d8818d02db
 DIST ntpsec-1.1.6.tar.gz 2600632 BLAKE2B 1ee3e266f9a0ff45fc8f001a2b5a1722c6acf75a2151ee3724812acef3409eccbb865b321a3a346c7ced1770aa24190281a94593b881b4bbb0a2b2e6df5629cc SHA512 f57fde6f329a858313968798d64df5e93d7eba43edf4752cd0eb45ff1a2237ce2731b4603ec997c493dea85edb42976f96eb1508beae087a8c2ae8a76c0a6941
+DIST ntpsec-1.1.7.tar.gz 2534524 BLAKE2B 5777ecca4ceb988632fadc0e7124530993a7758cdf335e8cd90f0ec1a8b643be89b67c0e2bf49d6d7193bf92ded138af0df4b5856c0d113f552ef22dd8a6cadf SHA512 734b12820539e655e504dd5071a58b9d1f80c0b0c3c7458c797ba7ada23d8e446751fbcbddd9832d9151a3ba9464749878db9e77e23cdd5f6215ab9e1d908ae9

diff --git a/net-misc/ntpsec/ntpsec-1.1.7.ebuild b/net-misc/ntpsec/ntpsec-1.1.7.ebuild
new file mode 100644
index 00000000000..e5bf13be3be
--- /dev/null
+++ b/net-misc/ntpsec/ntpsec-1.1.7.ebuild
@@ -0,0 +1,161 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{5,6} )
+PYTHON_REQ_USE='threads(+)'
+
+inherit flag-o-matic python-r1 waf-utils systemd user
+
+if [[ ${PV} == *9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://gitlab.com/NTPsec/ntpsec.git"
+	BDEPEND=""
+	KEYWORDS=""
+else
+	SRC_URI="ftp://ftp.ntpsec.org/pub/releases/${PN}-${PV}.tar.gz"
+	RESTRICT="mirror"
+	BDEPEND=""
+	KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+DESCRIPTION="The NTP reference implementation, refactored"
+HOMEPAGE="https://www.ntpsec.org/"
+
+NTPSEC_REFCLOCK=(
+	oncore trimble truetime gpsd jjy generic spectracom
+	shm pps hpgps zyfer arbiter nmea neoclock modem
+	local)
+
+IUSE_NTPSEC_REFCLOCK=${NTPSEC_REFCLOCK[@]/#/rclock_}
+
+LICENSE="HPND MIT BSD-2 BSD CC-BY-SA-4.0"
+SLOT="0"
+IUSE="${IUSE_NTPSEC_REFCLOCK} debug doc early gdb heat libbsd nist ntpviz samba seccomp smear tests" #ionice
+REQUIRED_USE="${PYTHON_REQUIRED_USE} nist? ( rclock_local )"
+
+# net-misc/pps-tools oncore,pps
+CDEPEND="${PYTHON_DEPS}
+	${BDEPEND}
+	sys-libs/libcap
+	dev-python/psutil[${PYTHON_USEDEP}]
+	libbsd? ( dev-libs/libbsd:0= )
+	dev-libs/openssl:0=
+	seccomp? ( sys-libs/libseccomp )
+"
+RDEPEND="${CDEPEND}
+	ntpviz? ( sci-visualization/gnuplot media-fonts/liberation-fonts )
+	!net-misc/ntp
+	!net-misc/openntpd
+"
+DEPEND="${CDEPEND}
+	app-text/asciidoc
+	dev-libs/libxslt
+	app-text/docbook-xsl-stylesheets
+	sys-devel/bison
+	rclock_oncore? ( net-misc/pps-tools )
+	rclock_pps? ( net-misc/pps-tools )
+"
+
+WAF_BINARY="${S}/waf"
+
+pkg_setup() {
+	enewgroup ntp 123
+	enewuser ntp 123 -1 /dev/null ntp
+}
+
+src_prepare() {
+	default
+	# Remove autostripping of binaries
+	sed -i -e '/Strip binaries/d' wscript
+	if ! use libbsd ; then
+		epatch "${FILESDIR}/${PN}-no-bsd.patch"
+	fi
+	python_copy_sources
+}
+
+src_configure() {
+	is-flagq -flto* && filter-flags -flto* -fuse-linker-plugin
+
+	local string_127=""
+	local rclocks="";
+	local CLOCKSTRING=""
+
+	for refclock in ${NTPSEC_REFCLOCK[@]} ; do
+		if use rclock_${refclock} ; then
+			string_127+="$refclock,"
+		fi
+	done
+	CLOCKSTRING="`echo ${string_127}|sed 's|,$||'`"
+
+	local myconf=(
+		--nopyc
+		--nopyo
+		--refclock="${CLOCKSTRING}"
+		--build-epoch="$(date +%s)"
+		$(use doc	&& echo "--enable-doc")
+		$(use early	&& echo "--enable-early-droproot")
+		$(use gdb	&& echo "--enable-debug-gdb")
+		$(use samba	&& echo "--enable-mssntp")
+		$(use seccomp	&& echo "--enable-seccomp")
+		$(use smear	&& echo "--enable-leap-smear")
+		$(use tests	&& echo "--alltests")
+		$(use debug	&& echo "--enable-debug")
+	)
+
+	python_configure() {
+		waf-utils_src_configure "${myconf[@]}"
+	}
+	python_foreach_impl run_in_build_dir python_configure
+}
+
+src_compile() {
+	unset MAKEOPTS
+	python_compile() {
+		waf-utils_src_compile
+	}
+	python_foreach_impl run_in_build_dir python_compile
+}
+
+src_install() {
+	python_install() {
+		waf-utils_src_install
+	}
+	python_foreach_impl run_in_build_dir python_install
+
+	# Install heat generating scripts
+	use heat && dosbin "${S}"/contrib/ntpheat{,usb}
+
+	# Install the openrc files
+	newinitd "${FILESDIR}"/ntpd.rc-r2 ntp
+	newconfd "${FILESDIR}"/ntpd.confd ntp
+
+	# Install the systemd unit file
+	systemd_newunit "${FILESDIR}"/ntpd.service ntpd.service
+
+	# Prepare a directory for the ntp.drift file
+	mkdir -pv "${ED}"/var/lib/ntp
+	chown ntp:ntp "${ED}"/var/lib/ntp
+	chmod 770 "${ED}"/var/lib/ntp
+	keepdir /var/lib/ntp
+
+	# Install a log rotate script
+	mkdir -pv "${ED}"/etc/logrotate.d
+	cp -v "${S}"/etc/logrotate-config.ntpd "${ED}"/etc/logrotate.d/ntpd
+
+	# Install the configuration file and sample configuration
+	cp -v "${FILESDIR}"/ntp.conf "${ED}"/etc/ntp.conf
+	cp -Rv "${S}"/etc/ntp.d/ "${ED}"/etc/
+
+	# move doc files to /usr/share/doc/"${P}"
+	use doc && mv -v "${ED}"/usr/share/doc/"${PN}" "${ED}"/usr/share/doc/"${P}"/html
+}
+
+pkg_postinst() {
+	einfo "If you want to serve time on your local network, then"
+	einfo "you should disable all the ref_clocks unless you have"
+	einfo "one and can get stable time from it.  Feel free to try"
+	einfo "it but PPS probably won't work unless you have a UART"
+	einfo "GPS that actually provides PPS messages."
+}


             reply	other threads:[~2019-10-07 21:47 UTC|newest]

Thread overview: 88+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-10-07 21:47 Robin H. Johnson [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-14  8:03 [gentoo-commits] repo/gentoo:master commit in: net-misc/ntpsec/ Sam James
2024-06-14  8:03 Sam James
2024-06-14  8:03 Sam James
2024-06-14  8:03 Sam James
2024-06-14  8:03 Sam James
2024-06-14  8:03 Sam James
2024-06-14  8:03 Sam James
2024-06-14  8:03 Sam James
2024-06-14  8:03 Sam James
2024-06-14  8:03 Sam James
2024-06-14  8:03 Sam James
2024-05-28 22:01 Sam James
2024-05-09 12:24 Sam James
2024-05-09 12:24 Sam James
2024-01-24  6:55 Sam James
2023-09-22 17:34 Arthur Zamarin
2023-09-21  6:22 Sam James
2023-09-21  6:00 Joonas Niilola
2023-09-19 10:56 Sam James
2023-06-24  2:59 Sam James
2023-03-17 17:00 Sam James
2023-03-17 16:24 Arthur Zamarin
2023-03-17 16:17 Arthur Zamarin
2023-02-03 13:34 Sam James
2022-12-30  6:33 Sam James
2022-12-13  5:27 Sam James
2022-06-17  6:56 Agostino Sarubbo
2022-06-17  6:55 Agostino Sarubbo
2022-06-16 23:06 Jakov Smolić
2022-06-15 10:01 Sam James
2022-06-12 15:34 Sam James
2022-05-31  7:10 Agostino Sarubbo
2022-05-31  7:10 Agostino Sarubbo
2022-05-31  2:57 Sam James
2022-04-20  1:11 Sam James
2022-04-20  1:11 Sam James
2022-04-20  1:03 Sam James
2021-12-06  1:41 Steve Arnold
2021-12-02 22:10 Steve Arnold
2021-06-22 19:45 Sam James
2021-06-21 19:05 Sam James
2021-06-21 19:05 Sam James
2021-06-11  6:39 Sam James
2021-06-10 21:11 Sam James
2021-06-10 21:11 Sam James
2021-06-03 16:26 Sam James
2021-05-31  6:03 Agostino Sarubbo
2021-05-30  9:59 Sam James
2021-05-30  5:45 Sam James
2021-04-21 18:51 Sam James
2021-04-11  1:09 Steve Arnold
2021-01-26  3:25 Steve Arnold
2020-07-17 23:25 Sam James
2020-07-11 18:31 Sam James
2020-07-11 17:57 Sam James
2020-06-27 23:35 Andreas K. Hüttel
2020-06-20  0:42 Aaron Bauman
2020-05-18 21:10 Agostino Sarubbo
2020-05-18 12:58 Agostino Sarubbo
2020-02-10 21:25 Michał Górny
2019-12-23 20:52 Anthony G. Basile
2019-12-19 17:56 Steve Arnold
2019-12-19 17:48 Steve Arnold
2019-11-10  3:40 Steve Arnold
2019-10-28  9:43 Agostino Sarubbo
2019-09-11 22:57 Steve Arnold
2019-09-07  9:55 Agostino Sarubbo
2019-07-16 17:08 Anthony G. Basile
2019-07-16 17:08 Anthony G. Basile
2019-07-14  0:45 Anthony G. Basile
2019-07-04 15:50 Anthony G. Basile
2019-05-31  6:49 Agostino Sarubbo
2019-05-23 20:30 Anthony G. Basile
2019-05-23 17:52 Anthony G. Basile
2018-09-30 23:10 Robin H. Johnson
2018-09-05  1:51 Anthony G. Basile
2018-06-19 18:05 Anthony G. Basile
2018-02-27 18:10 Mike Gilbert
2018-02-27 18:08 Mike Gilbert
2018-02-27 18:08 Mike Gilbert
2018-02-27  7:14 Steve Arnold
2018-02-25 19:59 Steve Arnold
2018-02-24 23:40 Anthony G. Basile
2018-02-24 23:34 Anthony G. Basile
2018-02-24 23:25 Anthony G. Basile
2018-02-24  1:21 Anthony G. Basile
2018-02-23 23:59 Anthony G. Basile

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1570483381.164d6d17a392367cd9d7b0705cd127163c1c53cf.robbat2@gentoo \
    --to=robbat2@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox